<?php session_start();
	require_once('../../Connections/odonto_connection1.php');

	$negocio = $_GET['negocio'];
	$id_delivery = $_SESSION['id_delivery'];
	
	if($id_delivery){
		$q = "SELECT id_delivery,codigo FROM mesas WHERE id_delivery = '$id_delivery' AND negocio LIKE '$negocio'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$num_rows = mysqli_num_rows($rs);
		//echo $num_rows;
		
		if(!$num_rows){//vamos a insertar un codigo nuevo para este negocio
			//comprobamos que el que generamos no exista. Si existe generamos otro
				do{
				$codigo=generarCodigos(1,5);
				$codigo = $codigo[0];
				
				$q = "SELECT codigo FROM mesas WHERE codigo = '$codigo' ";
				$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
				$num_rows = mysqli_num_rows($rs);
			
				}while($num_rows);
			//fin comprobacion
			
			//como no hay ninguno entonces insertamos
			
			$q = "INSERT INTO `mesas` (`id_mesa`, `codigo`, `nombre`, `mesa`, `negocio`, `sucursal`, `descripcion`, `mozo`, `mensaje`, `ver`, `ocup`, `hash`, `logeado`, `id_delivery`) VALUES (NULL, '$codigo', NULL, '999', '$negocio', 'sucursal_01', '', '1', NULL, 'no', '0', '0', '1', '$id_delivery')";
			$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
			}
		else //vamos a utilizar el que ya existe
		{
			//echo "ya existe uno: ";
			$codigo = $row['codigo'];

		}

			header("Location:" . "./auxi_warn.php?externo=1&codigo=$codigo");
	}
	else header("Location:" . "./logueado.php?vuelvealoguear=1");
		
function generarCodigos($cantidad=3, $longitud=10, $incluyeNum=true){ 
    $caracteres = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"; 
    if($incluyeNum) 
        $caracteres .= "1234567890"; 
     
    $arrPassResult=array(); 
    $index=0; 
    while($index<$cantidad){ 
        $tmp=""; 
        for($i=0;$i<$longitud;$i++){ 
            $tmp.=$caracteres[rand(0,strlen($caracteres)-1)]; 
        } 
        if(!in_array($tmp, $arrPassResult)){ 
            $arrPassResult[]=$tmp; 
            $index++; 
        } 
    } 
    return $arrPassResult; 
}  

?>
